Bug 789671 - Dust on Eclipse editor when scrolling while having in front another window
Dust on Eclipse editor when scrolling while having in front another window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-12 04:48 EST by Germano Massullo
Modified: 2013-02-13 03:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 910918 (view as bug list)
Environment:
Last Closed: 2013-02-13 03:27:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 374653 None None None Never

  None (edit)
Description Germano Massullo 2012-02-12 04:48:58 EST
Description of problem:
The following Youtube video explains perfectly the problem:
http://youtu.be/CwrSkG_KqnU
If you keep a window on top of Eclipse, and you scroll the Eclipse editor, you will have some marks on the screen.

Version-Release number of selected component (if applicable):
Eclipse Version: 3.7.1 Build id: R3_7_1
KDE 4.7.4

Additional info:
Kevin Kofler told me to try with a different theme, like Adwaita, and I reproduced the bug also with this kind of theme.
The video was recorded on a computer with a nVidia graphic card, but I reproduced it also on my laptop that has an Intel graphic card.
Comment 1 Andrew Overholt 2012-02-13 10:06:30 EST
Can you reproduce this problem with an Eclipse binary from download.eclipse.org?
Comment 2 Germano Massullo 2012-03-16 19:14:36 EDT
Yes it happens even with Eclipse binary from download.eclipse.org
Comment 3 Andrew Overholt 2012-03-19 09:14:41 EDT
It would be great if you could report the bug upstream where the SWT guys can take a look:

https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Platform&component=SWT

Thanks very much for your continued help!
Comment 4 Germano Massullo 2012-03-19 09:58:04 EDT
Thank you too.
Here is the upstream bugreport https://bugs.eclipse.org/bugs/show_bug.cgi?id=374653
Comment 5 Fedora End Of Life 2013-01-16 05:08:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 03:27:13 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.